Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Mar 2021 14:46:18 +0100

Michael Heerdegen <[email-masked]> writes:

> (1) When some other program is very busy or frozen - that can be a
> browser executing javascript code, or a program that has crashed or is
> frozen, or (this recipe works only sometimes) another Emacs that I have
> sent a SIGSTOP, then, when I try to copy or kill text in any buffer,
> Emacs also freezes.  Seems to infloop.  C-g always helps, but any other
> trial results in freeze again.

I see the same with "emacs -Q" when I start one emacs, choose text with
the mouse, C-z it, and then start another one and try to paste (with the
mouse).

But I see exactly the same if I try to paste into Firefox, so perhaps
this is just how this stuff is supposed to work?  (That is, Firefox
times out after a few seconds, so it doesn't hang indefinitely.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no